Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000211Frama-CKernelpublic2009-08-04 11:512014-02-12 16:56
Reporternstouls 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000211: "make doc" error
DescriptionI would like to use the doc, but when making:

   make doc

I obtain the error:

make: *** Pas de règle pour fabriquer la cible « bin/viewer.byte », nécessaire pour « doc ». Arrêt.

I also try:

    make doc-kernel

But with no more result:

  Ocamldoc Kernel Documentation
  Error while loading file doc/code/docgen.cmo:
  doc/code/docgen.cmo: No such file or directory
  make: *** [doc-kernel] Erreur 1

Finally I cannot manually compile doc/code/docgen.ml, since I don't have Odoc_module. Is this module present only in Ocaml 3.11 ?

I have Ocaml version 3.10.2.

Thx, Nicolas
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000330)
signoles (manager)
2009-08-04 13:04

* "make doc" should now work even if the GUI is not enable
* "make doc-kernel" assumes that all the documentation stuff is already up-to-date (all the cmo already compiled and so on)
* how do you compile doc/code/docgen.ml? "make doc/code/docgen.ml" should work (even with ocaml 3.10.2)
(0000331)
nstouls (reporter)
2009-08-04 13:26

Thanks for your help :)

Now "make doc/code/docgen.ml" works well and "make doc" starts. However, there is another error (due to gui ?). Here is the trace:

$ make doc

Ocamlc doc/code/docgen.cmo
Ocamldoc Kernel Documentation
Generating doc/code/occurrence/Occurrence.txt
Ocamldoc doc/code/occurrence/modules.dot
File "src/occurrence/register_gui.ml", line 24, characters 0-18:
Unbound module Pretty_source
1 error(s) encountered
make[1]: *** [doc/code/occurrence/modules.dot] Erreur 1
make: *** [doc] Erreur 2


my configuration is with static link of Jessie and aorai, but without lablgtk2.12.

Thx, Nicolas.

- Issue History
Date Modified Username Field Change
2009-08-04 11:51 nstouls New Issue
2009-08-04 12:55 signoles Status new => assigned
2009-08-04 12:55 signoles Assigned To => signoles
2009-08-04 13:01 svn Checkin
2009-08-04 13:01 svn Status assigned => resolved
2009-08-04 13:01 svn Resolution open => fixed
2009-08-04 13:04 signoles Note Added: 0000330
2009-08-04 13:26 nstouls Note Added: 0000331
2009-08-04 13:26 nstouls Status resolved => feedback
2009-08-04 13:26 nstouls Resolution fixed => reopened
2009-08-04 14:15 svn Checkin
2009-08-04 14:15 svn Status feedback => resolved
2009-08-04 14:15 svn Resolution reopened => fixed
2009-08-26 11:25 signoles Fixed in Version => Frama-C Beryllium
2009-09-02 10:54 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker